@charset "UTF-8";

:root {
  --bs-font-sans-serif: "Google Sans" !important;
  --bs-theme: #aa0000 !important;
  --bs-theme-rgb: 170, 0, 0 !important;
  --bs-theme-bg-subtle: rgba(170, 0, 0, 0.1) !important;
  --bs-theme-hover: #bb1a1a !important;
  --bs-theme-active: #cc3333 !important;
}

.bg-theme {
  background-color: var(--bs-theme) !important;
}

.bg-theme-subtle {
  background-color: var(--bs-theme-bg-subtle) !important;
}

.link-theme {
  color: rgba(var(--bs-theme-rgb), var(--bs-link-opacity, 1)) !important;
  -webkit-text-decoration-color: RGBA(
    var(--bs-theme-rgb),
    var(--bs-link-underline-opacity, 1)
  ) !important;
  text-decoration-color: RGBA(
    var(--bs-theme-rgb),
    var(--bs-link-underline-opacity, 1)
  ) !important;
}

.text-theme {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-theme-rgb), var(--bs-text-opacity)) !important;
}

.border-theme {
  border-color: var(--bs-theme) !important;
}

.list-group-item.active,
.active > .page-link,
.page-link.active {
  background-color: var(--bs-theme) !important;
  border-color: var(--bs-theme) !important;
}

.btn-theme {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--bs-theme);
  --bs-btn-border-color: var(--bs-theme);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-theme-hover);
  --bs-btn-hover-border-color: var(--bs-theme-hover);
  --bs-btn-focus-shadow-rgb: 49, 132, 253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--bs-theme-active);
  --bs-btn-active-border-color: var(--bs-theme-active);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--bs-theme);
  --bs-btn-disabled-border-color: var(--bs-theme);
}

.btn-theme {
  color: var(--bs-btn-color);
  background-color: var(--bs-btn-bg);
  border-color: var(--bs-btn-border-color);
}

.btn-theme:hover {
  color: var(--bs-btn-hover-color);
  background-color: var(--bs-btn-hover-bg);
  border-color: var(--bs-btn-hover-border-color);
}

.btn-theme:focus {
  color: var(--bs-btn-hover-color);
  background-color: var(--bs-btn-hover-bg);
  border-color: var(--bs-btn-hover-border-color);
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-btn-focus-shadow-rgb), 0.5);
}

.btn-theme:active,
.btn-theme.active {
  color: var(--bs-btn-active-color);
  background-color: var(--bs-btn-active-bg);
  border-color: var(--bs-btn-active-border-color);
}

.btn-theme:active {
  box-shadow: var(--bs-btn-active-shadow);
}

.btn-theme:disabled,
.btn-theme.disabled {
  color: var(--bs-btn-disabled-color);
  background-color: var(--bs-btn-disabled-bg);
  border-color: var(--bs-btn-disabled-border-color);
}

.form-control:focus {
  color: var(--bs-body-color);
  background-color: var(--bs-body-bg);
  border-color: var(--bs-theme);
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-theme-rgb), 0.25);
}

.form-check-input:checked {
  background-color: var(--bs-theme);
  border-color: var(--bs-theme);
}

.form-check-input:focus {
  border-color: var(--bs-theme);
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-theme-rgb), 0.25);
}

.swal2-actions {
  gap: 1rem;
}

.navbar-brand img {
  height: 90px;
  width: 90px;
  object-fit: contain;
  border-radius: 45px;
  margin-right: 1rem;
  background-color: var(--bs-light);
}

#mainMenu .nav-link {
  color: var(--bs-gray-100);
}

.navbar-toggler {
  border: 0;
  padding: 0;
}

.navbar-toggler:focus,
.navbar-toggler:focus-visible,
.navbar-toggler:focus-within,
.navbar-toggler:active {
  box-shadow: none;
}

.navbar-toggler-icon {
  fill: var(--bs-gray-100);
}

figure.zoom {
  background-position: 50% 50%;
  position: relative;
  overflow: hidden;
  cursor: zoom-in;
}

figure.zoom img.img-thumbnail:hover {
  opacity: 0;
}

figure.zoom img.img-thumbnail {
  transition: opacity 0.5s;
  max-height: 400px !important;
  width: 100% !important;
  object-fit: contain;
  display: block;
}

th,
td {
  vertical-align: middle !important;
  font-size: 0.875rem !important;
}

@-webkit-keyframes spin {
  from {
    -webkit-transform: rotate(0deg);
  }

  to {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

.offcanvas.offcanvas-top {
  height: auto !important;
  bottom: auto !important;
}

@media screen and (max-width: 640px) {
  .navbar-brand,
  .nav-link {
    font-size: 0.875rem !important;
  }

  .navbar-brand img {
    height: 60px;
    width: 60px;
    border-radius: 30px;
    margin-right: 0.275rem;
  }
}

@media screen and (max-width: 480px) {
  .navbar-brand,
  .nav-link {
    font-size: 1rem !important;
  }

  .navbar-brand img {
    height: 50px;
    width: 50px;
    border-radius: 25px;
    margin-right: 0.25rem;
  }
}

@media screen and (max-width: 360px) {
  .navbar-brand,
  .nav-link {
    font-size: 0.75rem !important;
  }

  .navbar-brand img {
    height: 40px;
    width: 40px;
    border-radius: 20px;
    margin-right: 0.175rem;
  }
}

@media screen and (min-width: 992px) {
  .navbar-brand {
    font-size: 1.5rem !important;
  }
  .card-dash-info:hover {
    box-shadow: 0 0.5rem 1rem rgba(var(--bs-theme-rgb), 0.25) !important;
  }
  .card-dash-info:hover > * {
    color: var(--bs-theme) !important;
  }
}
